
%% Holder 1, bunnplate servo på siden

clear;
% Bunnplate
vG1 = voxBox(56.2, 50, 5, 'voxSize', 0.2);

% Skrubox opp 1 stk
vG2 = voxBox(8, 26, 45, 'voxSize', 0.2);

% Skruhull
vG3 = voxRod(1.8, 10, 'voxSize', 0.2);
vG3 = rotVg(vG3, [90 0 0]);

% Trekke fra skruhull
vG4 = voxDifference(vG2, vG3, [2 0 45-5], 'bbb', 'bbb', 'voxSize', 0.2);
vG5 = voxDifference(vG4, vG3, [2 0 45-5-10], 'bbb', 'bbb', 'voxSize', 0.2);

% Sum
vG6 = voxUnion(vG1, vG5, [0 50-26 0], 'bbb', 'bbb', 'voxSize', 0.2);
vG6 = voxUnion(vG6, vG5, [52-4+0.2 50-26 0], 'bbb', 'bbb', 'voxSize', 0.2);

% Skrår kutt
P=[285 184 225 ; 1 184 225 ; 1 260 225 ; 285 260 225 ; 285 250 40 ; 1 250 40 ];
fig1;plotPointCloud(P, 40, 'dark', 'fill');
vG12 = voxConvexPolygon(P);
vG10 = voxDifference(vG6, vG12, [-1 0 0], 'bbb', 'bbb');

fig1;plotVg(vG10,'dark', 'edgeOff');

fig1;plotVg(vG6,'dark', 'edgeOff');
vox2stl(vG10, '1.stl', 0.2, 'smooth', 2);


%% Holder 2 horn-rør

clear;
% Hornplate
vG1 = voxRod(36/2, 4, 'voxSize', 0.2);
vG1 = outerFillet(vG1,5);

% Rørholder
vG2 = voxRod(16/2+2, 50, 'voxSize', 0.2); % kappe
vG3 = voxRod(16.4/2, 50, 'voxSize', 0.2); % hull

vG2 = rotVg(vG2, [90 0 0]);
vG3 = rotVg(vG3, [90 0 0]);

vG5 = voxUnion(vG1, vG2, [0 0 0], 'ccb', 'ccb', 'voxSize', 0.2);

vG5 = voxDifference(vG5, vG3, [0 0 2], 'ccb', 'ccb', 'voxSize', 0.2);

% ytterkapp
vG7 = voxRod(60/2, 80, 'voxSize', 0.2); % kappe
vG8 = voxRod(36/2, 80, 'voxSize', 0.2); % hull
vG9 = voxDifference(vG7, vG8, [0 0 0], 'ccb', 'ccb', 'voxSize', 0.2);
vG5 = voxDifference(vG5, vG9, [0 0 0], 'ccb', 'ccb', 'voxSize', 0.2);

vG9 = innerFillet2D(vG5,10,'xz');
fig1;plotVg(vG9,'dark', 'edgeOff');

% Skruhull
vG11 = voxRod(1.2, 10, 'voxSize', 0.2);
vG12 = voxLinPattern(vG11, [2 2 1], [28 10 0], 'voxSize', 0.2);


vG14 = voxDifference(vG9, vG12, [0 0 0], 'ccb', 'ccb', 'voxSize', 0.2);

fig1;plotVg(vG14,'dark', 'edgeOff');
vox2stl(vG14, '2.stl', 0.2, 'smooth', 2);
